##### basic_datagram_socket::send (3 of 3 overloads)

Send some data on a connected socket.

    template<
        typename ConstBufferSequence>
    std::size_t send(
        const ConstBufferSequence & buffers,
        socket_base::message_flags flags,
        asio::error_code & ec);

This function is used to send data on the datagram socket. The function call will block until the data has been sent successfully or an error occurs.

###### Parameters

buffers

  One or more data buffers to be sent on the socket.

flags

  Flags specifying how the send call is to be made.

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of bytes sent.

###### Remarks

The send operation can only be used with a connected socket. Use the send_to function to send data on an unconnected datagram socket.